package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2019/9/18
 */
public class StudentHomeworkDetailDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 姓名
     */
    private String name;
    /**
     *
     */
    private String subject;
    /**
     * 状态：{批改老师（1：未分配；2：已分配未批改；3：批改中）；匹配知识点老师（1：未分配；2：已分配未匹配；3：匹配中）}
     */
    private int status;
    /**
     * 状态时间
     */
    private String statusTime;
    /**
     * 原图列表
     */
    private List<OriginPictureDto> originPicList;
    /**
     * 批改图片列表
     */
    private List<CorrectPictureDto> correctPicList;

    public class OriginPictureDto implements Serializable{
        private static final long serialVersionUID = 1L;
        /**
         * 图片地址
         */
        private String url;
        /**
         * 图片类型
         */
        private int type;

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }
    }

    public class CorrectPictureDto implements Serializable{
        private static final long serialVersionUID = 1L;
        /**
         * 图片地址
         */
        private String url;
        /**
         * 图片类型
         */
        private int type;

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getStatusTime() {
        return statusTime;
    }

    public void setStatusTime(String statusTime) {
        this.statusTime = statusTime;
    }

    public List<OriginPictureDto> getOriginPicList() {
        return originPicList;
    }

    public void setOriginPicList(List<OriginPictureDto> originPicList) {
        this.originPicList = originPicList;
    }

    public List<CorrectPictureDto> getCorrectPicList() {
        return correctPicList;
    }

    public void setCorrectPicList(List<CorrectPictureDto> correctPicList) {
        this.correctPicList = correctPicList;
    }
}
